// *************************************************************** //
// Filename:    app.cpp                                            //
//                                                                 //
// Date:        November 26, 1993                                  //
//                                                                 //
// Description:                                                    //
// *************************************************************** //

#include "DlgMain.h"

// --------------------------------------------------------------- //
// Application constructor                                         //
// --------------------------------------------------------------- //
TDlgMainApp::TDlgMainApp() : 
  TApplication() 
{
}

// --------------------------------------------------------------- //
// Application destructor                                          //
// --------------------------------------------------------------- //
TDlgMainApp::~TDlgMainApp()
{
}

// --------------------------------------------------------------- //
// InitMainWindow                                                  //
// --------------------------------------------------------------- //
void TDlgMainApp::InitMainWindow()
{
  SetMainWindow(new TFrameWindow(NULL, "Hello",
    new TMainDialog(NULL, "MainDialog"), TRUE));
  // make window look like a dialog
  GetMainWindow()->Attr.Style &= ~(WS_MAXIMIZEBOX | WS_THICKFRAME);
  GetMainWindow()->SetIcon(this, "MainIcon");
}

// --------------------------------------------------------------- //
// OwlMain                                                         //
// --------------------------------------------------------------- //
int OwlMain(int /*argc*/, char* /*argv*/ [])
{
  TDlgMainApp app;
  return app.Run();
}

