// *************************************************************** //
// Filename:    DlgMain.h                                          //
//                                                                 //
// Date:        November 26, 1993                                  //
//                                                                 //
// Description:                                                    //
// *************************************************************** //

#ifndef DlgMain_H
#define DlgMain_H

#include <owl\owlcore.h>
#pragma hdrstop
#include "DlgMain.rh"

// --------------------------------------------------------------- //
// DlgMainApplication                                              //
// --------------------------------------------------------------- //
class TDlgMainApp : public TApplication 
{
  public:
    TDlgMainApp();
   ~TDlgMainApp();
    void InitMainWindow();
};

// --------------------------------------------------------------- //
// Main Dialog                                                  //
// --------------------------------------------------------------- //
class TMainDialog : public TDialog
{
  protected:
  public:
    TMainDialog(TWindow *, TResId);
   ~TMainDialog();
    void SetupWindow();
    void CleanupWindow();

    char *GetClassName();
    void GetWindowClass(WNDCLASS &);
    DECLARE_RESPONSE_TABLE(TMainDialog);
};

#endif


